Organization
S: Create organization
addressstring
Default
"123 Main St"citystring
Default
"San Francisco"codestring
Default
"EXAMPLE_ORG"countrystring
Default
"USA"descriptionstring
Default
"An example organization"emailstring
Default
"contact@example.com"Format
emailmetadataobject
namestring
Default
"Example Organization"parent_idstring
Default
"{{parent_organization_id}}"phonestring
Default
"+1234567890"postal_codestring
Default
"94102"statestring
Default
"CA"statusstring
Default
"active"typestring
Default
"company"websitestring
Default
"https://example.com"Format
uriResponse Body
curl -X POST "https://edushade.com/api/v1/sysadmin/organizations" \
-H "Content-Type: application/json" \
-d '{
"address": "123 Main St",
"city": "San Francisco",
"code": "EXAMPLE_ORG",
"country": "USA",
"description": "An example organization",
"email": "contact@example.com",
"metadata": {
"custom_field": "custom_value"
},
"name": "Example Organization",
"parent_id": "{{parent_organization_id}}",
"phone": "+1234567890",
"postal_code": "94102",
"state": "CA",
"status": "active",
"type": "company",
"website": "https://example.com"
}'{}Empty
Empty
Empty